#pragma once
#include <string>
#include <map>
#include "Scene.h"
static class SceneManager {

public:
	static Scene* CreateScene(const std::string& name );
	static Scene& GetScene(const std::string& name);

	static void LoadScene(Scene& scene);

private:
	static Scene* CurrentScene;

	static std::map<std::string, Scene*> Scenes; 

};