#include "Scene/SceneManager.h"

Scene* SceneManager::CreateScene(const std::string& name) 
{
	SceneManager::Scenes[name] = new Scene(name);

	return &SceneManager::GetScene(name);
}

Scene& SceneManager::GetScene(const std::string& name) 
{
	return *SceneManager::Scenes[name];
}

void SceneManager::LoadScene( Scene& scene) 
{
	CurrentScene = &scene;
}